#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x88,0x39,0x19,0xDC,0x33,0xC1,0x82,0x0A,0xA9,0x5C,0xF7,0xFD,
		0x40,0x8B,0xC1,0xA4,0xA3,0x87,0xC8,0xC8,0x7F,0xE1,0x9E,0xBA,
		0x31,0x3D,0x14,0x92,0xF0,0x36,0x39,0x6A,0x2C,0x24,0x62,0x2E,
		0x56,0xFA,0xAE,0x2E,0x34,0x25,0xC7,0x41,0x9E,0xC1,0xEE,0x9F,
		0x27,0x67,0x3F,0xE3,0xBC,0xB5,0x1A,0x90,0x24,0xD2,0x8C,0x10,
		0x22,0xE1,0xD8,0x4F,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
